1. Style
Lnk.Bio
  • Getting Started
    • Introduction
    • Endpoints
    • Authorization
    • Private Apps
      • Introduction
      • Create a Private App
      • Generate an Access Token
    • Public Apps
      • Introduction
      • Create a Public App
      • Generate an Access Token
  • API Methods
    • Me
      • Retrieve basic profile info
      • Update profile picture
    • Lnks
      • Retrieve list of current Lnks
      • Create a new Lnk
      • Delete an existing Lnk
      • Edit an existing Lnk
      • Bulk reorder Lnks
    • Groups
      • Retrieve list of Lnk Groups
    • Style
      • Get current style
        GET
      • Set profile colors
        POST
      • Set profile fonts
        POST
      • Set profile wallpapers
        POST
      • Apply a free theme
        POST
      • Reset theme to defaults
        POST
      • List available fonts
        GET
      • List available free themes
        GET
  • Schemas
    • Sample Schemas
      • Pet
      • Category
      • Tag
    • Lnk
    • SuccessResponse
    • StyleData
    • Font
    • ThemeSummary
  1. Style

Set profile colors

POST
https://lnk.bio/oauth/v1/style/colors
Update one or more color properties. Only the fields included in the request are updated; omitted fields are left unchanged. Pass an empty string to reset a color to its default value. Requires a UNIQUE subscription.

Request

Authorization
OAuth 2.0
Authorization Code
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Authorize URL: https://lnk.bio/manage/access
Token URL: https://lnk.bio/oauth/token
or
Body Params application/x-www-form-urlencodedRequired

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://lnk.bio/oauth/v1/style/colors' \
--data-urlencode 'page_bg=#ffffff' \
--data-urlencode 'page_title=#221F1F' \
--data-urlencode 'page_text=#221F1F' \
--data-urlencode 'page_icon=#221F1F' \
--data-urlencode 'button_bg=#FAFAFA' \
--data-urlencode 'button_text=#221F1F' \
--data-urlencode 'button_border=#FAFAFA' \
--data-urlencode 'button_shadow=#EEEEEE' \
--data-urlencode 'button_icon_bg=#221F1F' \
--data-urlencode 'button_icon_text=#FAFAFA'

Responses

🟢200
application/json
Colors updated successfully
Body

Example
{
    "status": true,
    "errors": [
        "string"
    ]
}
🟠400BadRequest
🟠401Unauthorized
Modified at 2026-04-07 01:29:02
Previous
Get current style
Next
Set profile fonts
Built with